Loading...
Searching...
No Matches
Dune::MPIData< T, std::void_t< std::tuple< decltype(std::declval< T >().data()), decltype(std::declval< T >().size()), typename std::decay_t< T >::value_type > > > Struct Template Reference

`#include <dune/common/parallel/mpidata.hh>`

Inheritance diagram for Dune::MPIData< T, std::void_t< std::tuple< decltype(std::declval< T >().data()), decltype(std::declval< T >().size()), typename std::decay_t< T >::value_type > > >:

## Public Member Functions

void * | ptr ()
int | size ()
MPI_Datatype | type () const
template<class S = T>
auto | resize (int size) -> std::enable_if_t<!std::is_const< S >::value||!Std::is_detected_v< hasResizeOp, S > >

## Static Public Attributes

static constexpr bool | static_size = std::is_const<T>::value || !Std::is_detected_v<hasResizeOp, T>

## Protected Member Functions

| MPIData (T &t)

## Protected Attributes

T & | data_

## Friends

auto | getMPIData (T &t)

## Constructor & Destructor Documentation

## MPIData()

template<class T>

Dune::MPIData< T, std::void_t< std::tuple< decltype(std::declval< T >().data()), decltype(std::declval< T >().size()), typename std::decay_t< T >::value_type > > >::MPIData | ( | T & | t | ) |

inline protected

## Member Function Documentation

## ptr()

template<class T>

void * Dune::MPIData< T, std::void_t< std::tuple< decltype(std::declval< T >().data()), decltype(std::declval< T >().size()), typename std::decay_t< T >::value_type > > >::ptr | ( |  | ) |

inline

## resize()

template<class T>
template<class S = T>

auto Dune::MPIData< T, std::void_t< std::tuple< decltype(std::declval< T >().data()), decltype(std::declval< T >().size()), typename std::decay_t< T >::value_type > > >::resize | ( | int | size | ) | ->std::enable_if_t<!std::is_const< S >::value||!Std::is_detected_v< hasResizeOp, S > >

inline

## size()

template<class T>

int Dune::MPIData< T, std::void_t< std::tuple< decltype(std::declval< T >().data()), decltype(std::declval< T >().size()), typename std::decay_t< T >::value_type > > >::size | ( |  | ) |

inline

## type()

template<class T>

MPI_Datatype Dune::MPIData< T, std::void_t< std::tuple< decltype(std::declval< T >().data()), decltype(std::declval< T >().size()), typename std::decay_t< T >::value_type > > >::type | ( |  | ) | const

inline

## Friends And Related Symbol Documentation

## getMPIData

template<class T>

auto getMPIData | ( | T & | t | ) |

friend

## Member Data Documentation

## data_

template<class T>

T& Dune::MPIData< T, std::void_t< std::tuple< decltype(std::declval< T >().data()), decltype(std::declval< T >().size()), typename std::decay_t< T >::value_type > > >::data_

protected

## static_size

template<class T>

bool Dune::MPIData< T, std::void_t< std::tuple< decltype(std::declval< T >().data()), decltype(std::declval< T >().size()), typename std::decay_t< T >::value_type > > >::static_size = std::is_const<T>::value || !Std::is_detected_v<hasResizeOp, T>

static constexpr

The documentation for this struct was generated from the following file:

- mpidata.hh